Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.broker
Class RDF_SemanticBroker

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.broker.RDF_SemanticBroker

public class RDF_SemanticBroker
extends Object

Nested Class Summary
`class` | `RDF_SemanticBroker.RDF_ResourceComparator`

Constructor Summary
`RDF_SemanticBroker(Model mdl, RDF_Validator validator)`

Method Summary
`Collection` | `getAllClasses(boolean sorted)`
`Collection` | `getAllProperties(boolean sorted)`
`Collection` | `getAllResources(boolean sorted)`
`Collection` | `getClassesOfMetaclass(RDF_Class cls, boolean sorted)`
`RDF_Class` | `getClassTypeOfProperty(RDF_Property prop)`
`Collection` | `getClassTypes(RDF_Resource resrc, boolean sorted)`
`Collection` | `getDomainOfProperty(RDF_Property prop, boolean transitive, boolean sorted)`
`Collection` | `getInstanceResources(RDF_Class cls, boolean transitive, boolean sorted)`
`String` | `getLabelFor(RDF_Resource resrc)`
`HashMap` | `getLinksWithObject(RDF_Resource resrc)`
`HashMap` | `getLinksWithSubject(RDF_Resource resrc)`
`RDF_Class` | `getMetaClass(RDF_Class cls)`
`String` | `getNamespaceInfor()`
`Collection` | `getPropertiesOfClass(RDF_Class cls, boolean sorted)`
`Collection` | `getPropertiesWithDomain(RDF_Class cls, boolean transitive)`
`Collection` | `getPropertiesWithRange(RDF_Class cls, boolean transitive)`
`Collection` | `getRangeOfProperty(RDF_Property prop, boolean transitive, boolean sorted)`
`RDF_Resource` | `getResourceByID(String id)`
`Collection` | `getRootClasses(boolean sorted)`
`Collection` | `getRootProperties(boolean sorted)`
`Collection` | `getSubClasses(RDF_Class cls, boolean transitive, boolean sorted)`
`Collection` | `getSubProperties(RDF_Property prop, boolean transitive, boolean sorted)`
`Collection` | `getSuperClasses(RDF_Class cls, boolean transitive, boolean sorted)`
`Collection` | `getSuperProperties(RDF_Property prop, boolean transitive, boolean sorted)`
`boolean` | `isAttributeClass(RDF_Class cls)`
`boolean` | `isBasicResource(RDF_Resource resrc)`
`boolean` | `isContainerClass(RDF_Class cls)`
`boolean` | `isLeafClass(RDF_Class cls)`
`boolean` | `isLeafProperty(RDF_Property prop)`
`boolean` | `isMetaClass(RDF_Class cls)`
`boolean` | `isPropertyClass(RDF_Class cls)`
`boolean` | `isRootClass(RDF_Class cls)`
`boolean` | `isRootProperty(RDF_Property prop)`
`boolean` | `isSchemaClass(RDF_Class cls)`
`boolean` | `isStatementClass(RDF_Class cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDF_SemanticBroker

    public RDF_SemanticBroker(Model mdl,
                              RDF_Validator validator)

Method Detail

### getResourceByID

    public RDF_Resource getResourceByID(String id)

### getAllClasses

    public Collection getAllClasses(boolean sorted)

### getMetaClass

    public RDF_Class getMetaClass(RDF_Class cls)

### getSubClasses

    public Collection getSubClasses(RDF_Class cls,
                                    boolean transitive,
                                    boolean sorted)

### getSuperClasses

    public Collection getSuperClasses(RDF_Class cls,
                                      boolean transitive,
                                      boolean sorted)

### getRootClasses

    public Collection getRootClasses(boolean sorted)

### isRootClass

    public boolean isRootClass(RDF_Class cls)

### isLeafClass

    public boolean isLeafClass(RDF_Class cls)

### isMetaClass

    public boolean isMetaClass(RDF_Class cls)

### isPropertyClass

    public boolean isPropertyClass(RDF_Class cls)

### isContainerClass

    public boolean isContainerClass(RDF_Class cls)

### isStatementClass

    public boolean isStatementClass(RDF_Class cls)

### isSchemaClass

    public boolean isSchemaClass(RDF_Class cls)

### getInstanceResources

    public Collection getInstanceResources(RDF_Class cls,
                                           boolean transitive,
                                           boolean sorted)

### getClassesOfMetaclass

    public Collection getClassesOfMetaclass(RDF_Class cls,
                                            boolean sorted)

### getPropertiesOfClass

    public Collection getPropertiesOfClass(RDF_Class cls,
                                           boolean sorted)

### getPropertiesWithDomain

    public Collection getPropertiesWithDomain(RDF_Class cls,
                                              boolean transitive)

### getPropertiesWithRange

    public Collection getPropertiesWithRange(RDF_Class cls,
                                             boolean transitive)

### getAllProperties

    public Collection getAllProperties(boolean sorted)

### getRangeOfProperty

    public Collection getRangeOfProperty(RDF_Property prop,
                                         boolean transitive,
                                         boolean sorted)

### getDomainOfProperty

    public Collection getDomainOfProperty(RDF_Property prop,
                                          boolean transitive,
                                          boolean sorted)

### getSubProperties

    public Collection getSubProperties(RDF_Property prop,
                                       boolean transitive,
                                       boolean sorted)

### getSuperProperties

    public Collection getSuperProperties(RDF_Property prop,
                                         boolean transitive,
                                         boolean sorted)

### getClassTypeOfProperty

    public RDF_Class getClassTypeOfProperty(RDF_Property prop)

### getRootProperties

    public Collection getRootProperties(boolean sorted)

### isRootProperty

    public boolean isRootProperty(RDF_Property prop)

### isLeafProperty

    public boolean isLeafProperty(RDF_Property prop)

### getAllResources

    public Collection getAllResources(boolean sorted)

### getClassTypes

    public Collection getClassTypes(RDF_Resource resrc,
                                    boolean sorted)

### getLinksWithSubject

    public HashMap getLinksWithSubject(RDF_Resource resrc)

### getLinksWithObject

    public HashMap getLinksWithObject(RDF_Resource resrc)

### isBasicResource

    public boolean isBasicResource(RDF_Resource resrc)

### isAttributeClass

    public boolean isAttributeClass(RDF_Class cls)

### getLabelFor

    public String getLabelFor(RDF_Resource resrc)

### getNamespaceInfor

    public String getNamespaceInfor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD